/*
 Theme Name:   Araba Africa
 Theme URI:    https://generatepress.com
 Description:  Araba Africa child theme
 Author:       Blackbox Web Design
 Author URI:   https://www.blackboxdesign.co.uk
 Template:     generatepress
 Version:      0.1
*/


/* All Devices */

/* Typography*/

h1,h2,h3,h4, p.bighead {
	font-family: 'Nexa-Bold', sans-serif;
	font-style:normal;
	font-weight:700;
}

body {
	font-family: 'Nexa-Book', sans-serif;
	font-style:normal;
	font-weight:400;
}

h1.bighead, p.bighead {
	color:#28504f;
	line-height:1.0em;
	font-weight:400;
	font-size:60px;
}

h1.bighead span, p.bighead span {
	font-weight:900;
	line-height:1em;
}

h1.bighead span.large, p.bighead span.large {
	font-size:80px;
}

h1.bighead span.small, p.bighead span.small {
	font-size:32px;
}

h1.bighead span.contrast, h2.bighead span.contrast, p.bighead span.contrast {
	color:#d4622a;
}

#aa_home_strap h1.bighead, #aa_home_strap p.bighead {
	line-height:1em;
}

h2.bighead {
	font-size:3em;
	line-height:1em;
	font-weight:400;
}

h2.bighead.small {
	font-size:2em;
}

h2.bighead span {
	font-weight:900;
}

.aa_camp_item h3 {
	font-size:22px;
}

#aa_home_strap h1 {
	margin-bottom:40px;
}

#aa_home_strap p {
	font-size:20px;
	font-weight:400;
	color:#28504f;
}

.aa_package_title {
	font-weight:700;
	font-size:22px;
}

.aa_package_content {
	font-size:15px;
	padding:20px;
}

.aa_package_meta {
	    font-size: 15px;
 }

.aa_package_meta p, .aa_package_content p {
	margin-bottom:0;
}

.inspire_quote {
	padding:30px;
	border-left:4px solid #a0d3a5;
	position:relative;
}

.inspire_quote:before {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	display:block;
	content:'';
	background-image:url(/wp-content/uploads/2021/03/quote_open_400.png);
	background-size:cover;
	background-repeat:no-repeat;
	background-position:center;
	opacity:0.05;
}

.inspire_quote .quote_content p {
	font-weight:400;
	font-size:2em!important;
	line-height:1.4em;
	margin-bottom:10px;
}


.inspire_quote img.aa_quotes {
	max-width: 70px;
    position: absolute;
    top: -35px;
    left: 10px;
}

.inspire_quote .quote_content p span {
	font-weight:700;
}

.inspire_quote .quote_author p {
	font-style:italic;
	font-size:15px!important;
}

.aa_package_title p {
	margin-bottom:0;
}

.aa_package_sessions p span {
	font-size:0.8em;
	font-style:italic;
}

.aa_standout {
	font-weight:700;
	/*color:#d4622a;*/
}

.white {
	color:#fff!important;
}

.aa_button {
	display: inline-block;
    background-color: #28504f;
    color: #fff;
    padding: 8px 40px;
    margin-top: 20px;
    font-weight: 700;
	transition:all 0.5s;
}

#power.aa_package_item .aa_package_sessions {
	margin-bottom:1.5em;
}

.aa_package_item a.aa_button:hover {
	background-color:#fff;
	color:#d4622a;
}

a.aa_button:visited, a.aa_button:active {
	color:#fff;
}

p.bighead {
	margin-bottom:20px;
}

/*a:visited {
	color:#1e73be;
}*/

.aa_contact_email {
	font-weight:700;
	font-size:1.5em;
}

/* Navigation  */

.main-navigation .main-nav ul li a {
	text-transform:uppercase;
	font-weight:700;
	color:#d4622a;
}

#generate-slideout-menu ul li a, .slideout-navigation button.slideout-exit {
	color:#fff!important;
}

#site-navigation.main-navigation {
	margin-left:5%;
	margin-right:auto;
}

#generate-slideout-menu {
	background-color:#d4622a;
}

#generate-slideout-menu .inside-navigation button {
	order:1;
}


#generate-slideout-menu .inside-navigation aside {
	order:2;
}


#generate-slideout-menu .inside-navigation div {
	order:3;
}

.slideout-navigation.main-navigation .main-nav ul li a {
	font-size:20px;
	font-weight:700;
}

ul#menu-main li.current-menu-item {
	text-decoration:underline;
}

/* Slick Slider */

.aa_home_banner_content {
 position: absolute;
    width: 60%;
	padding-left:10%;
    height: 100%;
    display: flex;
    align-items: center;
    z-index: 1;
    justify-content: flex-start;;
}   
#slick-slide00.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/home_header_1g_2000.jpg);
}

#slick-slide01.slick-slide {
	background-image:url(/wp-content/uploads/2021/03/slider_2a_2000.jpg);
}

#slick-slide02.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/slider_4_2000.jpg);
}

#slick-slide03.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/slider_5_2000.jpg);
}

.aa_fs_slider .slick-slide {
	min-height:80vh;
	background-position:center;
	background-size:cover;

}

.aa_fs_slider .gb-inside-container {
	padding:0!important;
}





/* Headers/Banners */

.aa_hero {
	min-height:80vh;
	display:flex;
	flex-wrap:wrap;
	align-items:center;
}

.aa_mob_header {
	display:none;
}

#aa_home .gb-inside-container, .aa_hero .gb-inside-container {
	flex-basis:100%;
}

/*#why_aa_important {
	background-image:url(/wp-content/uploads/2021/03/scribble_4_2000.png), linear-gradient(#e0dcdb, #b8b5b0);
}*/

.aa_white_grey_gradient {
	background-image:linear-gradient(#e0dcdb, #b8b5b0)
}

/* Testimonials */

.aa_testi_wrapper {
	display:flex;
	flex-wrap:wrap;
}

.aa_testi_wrapper .testi_item {
	flex-basis:50%;
	display:flex;
	    font-size: 14px;
    margin-bottom: 40px;
}


.aa_testi_wrapper .testi_item .testi_image img {
	max-width:120px;
	border-radius: 50%;
    box-shadow: 5px 5px 3px #ccc;
}

.aa_testi_wrapper .testi_item .testi_inner {
	padding:0 20px;
}

.aa_testi_wrapper .testi_item .testi_inner .testi_content {
	margin-bottom:8px;
	font-style:italic;
}

.aa_testi_wrapper .testi_item .testi_inner .testi_name {
	font-weight:700;
}

/* 404 */


/* Footer */

/* Blog */

.single-post article {
	margin-top:100px;
		max-width:800px;
	margin-left:auto;
	margin-right:auto;
}

.blog .generate-columns-container  {
	margin-top:150px;

}

/* General Content */


.aa_package_blurbs .wp-block-column {
	border:1px solid #e1e1e1;
		padding:20px;
	/*background-image:url(/wp-content/uploads/2021/03/blurb_scribble_1a_800.jpg);*/
	background-size:cover;
	background-position:right bottom;
}

.aa_package_header {
	    padding: 20px;
    background-color: #d4622a;
    color: #fff;
	background-size:cover;
}

#power .aa_package_header {
	background-image:url(/wp-content/uploads/2021/03/package_1_bg_800.png);
}

#intensive .aa_package_header {
	background-image:url(/wp-content/uploads/2021/03/package_2_bg_800.png);
}


#super .aa_package_header {
	background-image:url(/wp-content/uploads/2021/03/package_3a_bg_800.png);
}

#aa_package_section .wp-block-group {
	margin-top:-140px;
}

.aa_package_blurbs .wp-block-column {
	background-color:#fff;
	z-index:2;
}

.aa_camp_descriptions .aa_camp_wrapper {
	margin-bottom:30px;
	padding: 20px;
    background-color: #fff;
	font-size:14px;
}

.aa_camp_descriptions .wp-block-column:first-of-type .aa_camp_wrapper table th {
	background-color:#d4622a;
	color:#fff;
}


.aa_camp_descriptions .wp-block-column:nth-of-type(2) .aa_camp_wrapper table th {
	background-color:#28504f;
	color:#fff;
}


.aa_camp_descriptions .wp-block-column:nth-of-type(3) .aa_camp_wrapper table th {
	background-color:#a0d3a5;
	color:#fff;
}

.aa_contact_section {
	min-height:calc( 100vh - 80px);
	display:flex;

}

.aa_contact_section .gb-inside-container {
	display:flex;
	flex-basis:100%;
}

.aa_contact_group {
	flex-basis:100%;
	align-self:center;
}

/*
.aa_package_blurbs .wp-block-column:first-of-type {
	background-color:#a0d3a5;
}

.aa_package_blurbs .wp-block-column:nth-of-type(2) {
	background-color:#e1ab25;
}


.aa_package_blurbs .wp-block-column:nth-of-type(3) {
	background-color:#d4622a;
}
*/

/* Responsive Desktop - Everything ABOVE 1024 */
@media only screen
	and (min-width: 1024px) {
		
	.aa_after_scribble {
	padding-top:150px;
}
		
}

/* Responsive Small desktop */
@media only screen 
	and (min-width : 1024px)
	and (max-width : 1400px) {
		
		#aa_home .gb-inside-container, .aa_hero .gb-inside-container {
			padding-top:100px;
		}
		
		#aa_about_header {
			background-image:url(/wp-content/uploads/2021/03/about_header_1_1400.jpg);
		}
		

		
}

/* Responsive - Everything BELOW 1024 */
@media only screen
	and (max-width: 1023px) {
		
		.navigation-branding img, .site-logo.mobile-header-logo img {
			height:120px!important;
		}
		
		.aa_mob_header {
			display:block;
			min-height:50vh;
		}
		
		.aa_no_bg_mob {
			background-image:none!important;
		}
		
		#aa_home.aa_no_bg_mob {
			background-image:url(/wp-content/uploads/2021/03/aa_scribble_mid_right_1_1024.png)!important;
		}
		
		.mob_min_pad .wp-block-group__inner-container {
			padding:0 30px;
		}
		
		.mob_min_pad .wp-block-group__inner-container .wp-block-columns {
			margin-bottom:0;
		}
		
		.aa_hero {
			min-height:auto;
		}
		
		.aa_fw_mob {
			flex-wrap:wrap;
		}
		
		.aa_fw_mob .wp-block-column {
			flex-basis:100%!important;
		}
		
		.aa_fw_mob .wp-block-column:nth-child(2n) {
			margin-left:0;
		}
		
		.menu-toggle {
			font-size:22px !important;
		}
		
		nav#mobile-header.is_stuck {
			background-color:#fff;
			transition:all 0.5s;
		}
		
		nav#mobile-header.is_stuck .menu-toggle {
			color:#d4622a!important;
		}
		
		.main-navigation.has-branding .inside-navigation.grid-container {
			padding:5px 20px!important;
		}
		
		.aa_package_blurbs .wp-block-column {
			margin-bottom:30px;
		}
		
		.aa_fs_slider .slick-slide {
	min-height:70vh;
		}
		
		.aa_home_banner_content {
			width:100%;
		}
		

		
		#slick-slide00.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/mob_slider_1.jpg);
}

#slick-slide01.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/mob_slider_2.jpg);
}

#slick-slide02.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/mob_slider_6.jpg);
}

#slick-slide03.slick-slide {
	background-image:url(/wp-content/uploads/2021/04/mob_slider_4.jpg);
}
		
		.aa_home_banner_content {
			align-items:flex-end;
			padding-bottom:20px;
		}
		
	.slick-slide .overlay {
			position:absolute;
			width:100%;
			height:100%;
			display:block;
			left:0;
			top:0;
			background-image:linear-gradient(to top, #fff 0%, #fff 10%, transparent 50%, transparent);
		z-index:-1;
		}
		
		.aa_contact_section {
			min-height:auto;
		}

		
}

/* Responsive Tablet - Between 768 and 1023 */
@media only screen
	and (min-width: 768px)
	and (max-width: 1023px) {
		
		.aa_fw_mob .wp-block-column {
			flex-basis:75%!important;
		}
		
		.aa_fw_mob.full .wp-block-column {
			flex-basis:100%!important;
		}	
		
		.aa_fw_mob {
			flex-wrap:wrap;
		}
		
		.aa_fw_mob .wp-block-column {
			flex-basis:100%!important;
		}
		
/*		.gb-container > .gb-inside-container {
			width:90%;
		} */
}


/* Responsive Mobile - Everything BELOW 768 */
@media only screen
	and (max-width: 767px) {
		
	h1.bighead, h1.bighead span, p.bighead, p.bighead span {
			font-size:48px;
		}
		
		h1.bighead span, p.bighead span {
			font-size:60px;
		}
		
		.navigation-branding img, .site-logo.mobile-header-logo img {
			height:90px!important;
		}
		
		h1.bighead span.large, p.bighead span.large {
	font-size:48px;
			display:inline-block;
}
		
		h1.bighead span.small, p.bighead span.small {
			font-size:22px;
			display:inline-block;
		}
		
		.home h1.bighead span.small, p.bighead span.small {
			display:none;
		}
		
}
